liborigin2: Origin800Parser Class Reference

liborigin2 29/08/2011

- Main Page
- Related Pages
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Protected Member Functions | Protected Attributes | List of all members
Origin800Parser Class Reference

`#include <Origin800Parser.h>`

Inheritance diagram for Origin800Parser:

## Public Member Functions
| Origin800Parser (const string &fileName)
bool | parse ()
Public Member Functions inherited from Origin750Parser
| Origin750Parser (const string &fileName)
Public Member Functions inherited from OriginParser
int | findExcelByName (const string &name) const
int | findFunctionByName (const string &name) const
int | findMatrixByName (const string &name) const
int | findSpreadByName (const string &name) const
void | setFileVersion (unsigned int version)
virtual | ~OriginParser ()

## Protected Member Functions
unsigned int | findStringPos (const string &name)
void | readMatrixInfo ()
virtual void | readNotes ()
void | readResultsLog ()
void | readSpreadInfo ()
Protected Member Functions inherited from Origin750Parser
time_t | doubleToPosixTime (double jdt)
virtual void | readColorMap (ColorMap &colorMap)
void | readColumnValues (unsigned int spread, unsigned int col, short data_type, char valuesize, unsigned int nr, bool validColumn=true)
void | readExcelInfo ()
void | readFunction (unsigned int colpos, char valuesize, unsigned int *oldpos)
void | readGraphAxisBreakInfo (GraphAxisBreak &axis_break)
void | readGraphAxisFormatInfo (GraphAxisFormat &format)
unsigned int | readGraphAxisInfo (GraphAxis &axis)
void | readGraphAxisPrefixSuffixInfo (const string &sec_name, unsigned int size, GraphLayer &layer)
void | readGraphAxisTickLabelsInfo (GraphAxisTick &tick)
void | readGraphGridInfo (GraphGrid &grid)
virtual bool | readGraphInfo ()
void | readMatrixInfo ()
void | readMatrixValues (short data_type, char data_type_u, char valuesize, unsigned int size, int mIndex=-1)
void | readParameters ()
void | readProjectTree ()
virtual void | readProjectTreeFolder (tree< ProjectNode >::iterator parent)
void | readSpreadInfo ()
void | readWindowProperties (Window &window, unsigned int size)
void | skipLine ()
void | skipObjectInfo ()
double | stringToDouble (const string &s)
Protected Member Functions inherited from OriginParser
void | convertSpreadToExcel (vector< Origin::SpreadSheet >::size_type spread)
int | findColumnByIndexAndName (int spread, unsigned int index, const string &name)
int | findColumnByName (int spread, const string &name)
pair< string, string > | findDataByIndex (unsigned int index) const
int | findExcelColumnByName (int excel, int sheet, const string &name) const
pair< Origin::ProjectNode::NodeType, string > | findObjectByIndex (unsigned int index) const

## Protected Attributes
string | notes_pos_mark
Protected Attributes inherited from Origin750Parser
unsigned int | d_colormap_offset
iendianfstream | file
FILE * | logfile
unsigned int | objectIndex

## Additional Inherited Members
Public Attributes inherited from OriginParser
vector< Origin::Excel > | excels
unsigned int | fileVersion
vector< Origin::Function > | functions
vector< Origin::Graph > | graphs
vector< Origin::Matrix > | matrices
vector< Origin::Note > | notes
tree< Origin::ProjectNode > | projectTree
string | resultsLog
vector< Origin::SpreadSheet > | speadSheets
unsigned int | windowsCount

## Constructor & Destructor Documentation

Origin800Parser::Origin800Parser | ( | const string & | fileName | ) |

References Origin750Parser::d_colormap_offset, and notes_pos_mark.

## Member Function Documentation

unsigned int Origin800Parser::findStringPos | ( | const string & | name | ) |
| protected

References Origin750Parser::file.

Referenced by Origin610Parser::readNotes(), readNotes(), readResultsLog(), and Origin610Parser::readResultsLog().

bool Origin800Parser::parse | ( |  | ) |
| virtual

Reimplemented from Origin750Parser.

References Origin750Parser::d_colormap_offset, Origin750Parser::file, OriginParser::fileVersion, OriginParser::findExcelByName(), OriginParser::findMatrixByName(), OriginParser::findSpreadByName(), OriginParser::functions, LOG_PRINT, Origin750Parser::logfile, OriginParser::matrices, Origin750Parser::readExcelInfo(), Origin750Parser::readFunction(), Origin750Parser::readGraphInfo(), readMatrixInfo(), Origin750Parser::readMatrixValues(), readNotes(), Origin750Parser::readParameters(), Origin750Parser::readProjectTree(), readResultsLog(), readSpreadInfo(), Origin750Parser::skipLine(), and OriginParser::speadSheets.

void Origin800Parser::readMatrixInfo | ( |  | ) |
| protected

References Origin::MatrixSheet::colorMap, Origin::MatrixSheet::columnCount, Origin::MatrixSheet::command, Origin::MatrixSheet::coordinates, Origin::DecimalPlaces, Origin::MatrixSheet::decimalPlaces, Origin750Parser::file, OriginParser::findMatrixByName(), LOG_PRINT, Origin750Parser::logfile, OriginParser::matrices, Origin::MatrixSheet::name, Origin::MatrixSheet::numericDisplayType, Origin750Parser::readColorMap(), Origin750Parser::readWindowProperties(), Origin::MatrixSheet::rowCount, Origin::SignificantDigits, Origin::MatrixSheet::significantDigits, Origin750Parser::skipLine(), Origin750Parser::skipObjectInfo(), Origin750Parser::stringToDouble(), Origin::MatrixSheet::valueTypeSpecification, Origin::MatrixSheet::view, and Origin::MatrixSheet::width.

Referenced by parse().

void Origin800Parser::readNotes | ( |  | ) |
| protectedvirtual

Reimplemented in Origin610Parser, and Origin500Parser.

References Origin::Rect::bottom, Origin750Parser::doubleToPosixTime(), Origin750Parser::file, findStringPos(), Origin::Rect::left, LOG_PRINT, Origin750Parser::logfile, OriginParser::notes, notes_pos_mark, Origin750Parser::objectIndex, Origin::Rect::right, Origin750Parser::skipLine(), and Origin::Rect::top.

Referenced by parse().

void Origin800Parser::readResultsLog | ( |  | ) |
| protected

References Origin750Parser::file, findStringPos(), LOG_PRINT, Origin750Parser::logfile, and OriginParser::resultsLog.

Referenced by parse().

void Origin800Parser::readSpreadInfo | ( |  | ) |
| protected

References Origin::Date, Origin::Day, Origin::DecimalPlaces, Origin750Parser::file, OriginParser::findColumnByIndexAndName(), OriginParser::findColumnByName(), OriginParser::findSpreadByName(), LOG_PRINT, Origin750Parser::logfile, Origin::Month, Origin::Numeric, Origin750Parser::readWindowProperties(), Origin::SignificantDigits, Origin750Parser::skipObjectInfo(), OriginParser::speadSheets, Origin::Text, Origin::TextNumeric, and Origin::Time.

Referenced by Origin410Parser::parse(), parse(), Origin700Parser::parse(), Origin610Parser::parse(), and Origin500Parser::parse().

## Member Data Documentation

string Origin800Parser::notes_pos_mark
| protected

Referenced by Origin800Parser(), Origin810Parser::Origin810Parser(), and readNotes().

The documentation for this class was generated from the following files:

- /build/liborigin2/src/liborigin2/Origin800Parser.h
- /build/liborigin2/src/liborigin2/Origin800Parser.cpp